import request from '@/router/axios'

export function getPrescriptionList(query) {
  return request({
    url: '/admin/wmtask/listTaskPrescription',
    method: 'get',
    params: query
  })
}
// 手动上传-处方上传-新增
export function saveTaskPrescription(data) {
  return request({
    url: '/admin/wmtask/saveTaskPrescription',
    method: 'post',
    data
  })
}
// 手动上传-处方上传-修改
export function updateTaskPrescription(data) {
  return request({
    url: '/admin/wmtask/updateTaskPrescription',
    method: 'post',
    data
  })
}
// 手动上传-处方上传-删除
export function deleteTaskPrescription(data) {
  return request({
    url: `/admin/wmtask/deleteTaskPrescription/${data.id}`,
    method: 'post'
  })
}
